#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	kombu
Summary:	Messaging library for Python
Summary(pl.UTF-8):	Biblioteka komunikatów dla Pythona
Name:		python3-%{module}
Version:	5.5.3
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/kombu/
Source0:	https://files.pythonhosted.org/packages/source/k/kombu/%{module}-%{version}.tar.gz
# Source0-md5:	b87c6d9bc662e186f0c32aaf5ee7368e
URL:		https://pypi.org/project/kombu/
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:47.0.0
%if %{with tests}
BuildRequires:	python3-Pyro4
BuildRequires:	python3-amqp >= 5.1.1
BuildRequires:	python3-amqp < 6.0.0
%if "%{py3_ver}" == "3.8"
BuildRequires:	python3-backports.zoneinfo
%endif
BuildRequires:	python3-botocore
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pycurl
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-freezer
BuildRequires:	python3-pytz
BuildRequires:	python3-vine
%if "%{_ver_lt '%{py3_ver}' '3.10'}" == "1"
BuildRequires:	python3-typing-extensions
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-amqp
BuildRequires:	python3-sphinx_celery
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQ protocol, and
also provide proven and tested solutions to common messaging problems.

%description -l pl.UTF-8
Celem Kombu jest jak największe ułatwienie wymiany komunikatów w
Pythonie poprzez dostarczenie idomatycznego, wysokopoziomowego
interfejsu do protokołu AMQ oraz sprawdzonych rozwiązań powszechnych
problemów związanych z komunikowaniem.

%package apidocs
Summary:	API documentation for kombu module
Summary(pl.UTF-8):	Dokumentacja API modułu kombu
Group:		Documentation

%description apidocs
API documentation for kombu module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu kombu.

%prep
%setup -q -n %{module}-%{version}

# requires azure.identity
%{__rm} t/unit/transport/test_azurestoragequeues.py

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_freezer \
%{__python3} -m pytest t/unit
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS FAQ LICENSE README.rst THANKS TODO
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,reference,userguide,*.html,*.js}
%endif
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-kombu.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c6e8d5
- Up to 5.5.3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 4f57c8c
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8676587
- python 3.13 rebuild

* Mon Oct 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2779eda
- updated to 5.3.2, minimal test dependencies

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6ce61a5
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 13158b8
- rebuild with python 3.10

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 6b77346
- release 2 (by relup.sh)

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> e761070
- python-kombu.spec updated to 5.0.2 for python 3.6+

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> aae8302
- updated to 4.6.11, enabled doc and tests

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f09112
- up to 4.6.7

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c03ec1a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 2a91630
- Version: 4.2.1

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3afc7ff
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3533147
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 12 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> cccd5ee
- Version: 3.0.37, do not build api docs

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 65a38e1
- fix apidoc build

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> cd1b866
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 082fde9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7d7e6df
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d357e5f
- automatic change: use py_build/py_install macros

